org.gradle.api

## Interface Named

- All Known Subinterfaces:
    ApplicationBinarySpec, ApplicationSpec, Architecture, AssemblerSourceSet, Authentication, BasicAuthentication, BinarySpec, BuildType, Clang, ClassDirectoryBinarySpec, CoffeeScriptSourceSet, ComponentSpec, ComponentSpecIdentifier, CppSourceSet, CSourceSet, CUnitTestSuiteBinarySpec, CUnitTestSuiteSpec, DependentSourceSet, DigestAuthentication, Distribution, Flavor, FunctionalSourceSet, Gcc, GccCompatibleToolChain, GoogleTestTestSuiteBinarySpec, GoogleTestTestSuiteSpec, HeaderExportingSourceSet, IvyConfiguration, IvyPublication, JarBinarySpec, JavaPlatform, JavaScriptSourceSet, JavaSourceSet, JavaToolChain, JvmBinarySpec, JvmComponentSpec, JvmLibrarySpec, JvmResourceSet, LanguageSourceSet, LibraryBinarySpec, LibrarySpec, MavenPublication, NativeBinarySpec, NativeComponentSpec, NativeExecutableBinarySpec, NativeExecutableSpec, NativeLibraryBinarySpec, NativeLibrarySpec, NativePlatform, NativeResourceSet, NativeTestSuiteBinarySpec, NativeTestSuiteSpec, NativeToolChain, ObjectiveCppSourceSet, ObjectiveCSourceSet, OperatingSystem, Platform, PlatformAwareComponentSpec, PlayApplicationBinarySpec, PlayApplicationSpec, PlayDistribution, PlayPlatform, PlayToolChain, PrebuiltLibrary, Publication, RoutesSourceSet, ScalaLanguageSourceSet, ScalaPlatform, ScalaToolChain, SharedLibraryBinarySpec, SoftwareComponent, SourceDirectorySet, StaticLibraryBinarySpec, TargetedNativeComponent, TestSuiteBinarySpec, TestSuiteSpec, ToolChain, TwirlSourceSet, VisualCpp, VisualStudioProject, VisualStudioSolution, WindowsResourceSet
  All Known Implementing Classes:
    BaseBinarySpec, BaseComponentSpec, BaseLanguageSourceSet

      public interface Named

  Types can implement this interface and use the embedded `Named.Namer` implementation, to satisfy API that calls for a namer.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Named.Namer` An implementation of the namer interface for objects implementing the named interface.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` The object's name.

- - ### Method Detail

    - #### getName

          String getName()

      The object's name.

      Must be constant for the life of the object.

      Returns:
        The name. Never null.